• Site mis à jour le 18 janvier 2019

Site HS après mise a jour joomla 2.5

  • ravalderr
  • Portrait de ravalderr Auteur du sujet
  • Hors Ligne
  • Nouveau Rédacteur
  • Nouveau Rédacteur
Plus d'informations
il y a 2 ans 8 mois - il y a 2 ans 8 mois #11120 par ravalderr
Site HS après mise a jour joomla 2.5 a été créé par ravalderr
Bonjour,
:silly:
J'utilise encore la version 2.5. X. de Joomla, faute de pouvoir faire la migration, n'ayant pas beaucoup de connaissances en joomla et en php.
Hier j'ai voulu appliquer la dernière mise à jour qui s'affichait dans l'Admin de mon site et depuis le site est inaccessible et affiche le message d'erreur suivant:

Fatal error: Class 'JParameter' not found in /home/monsite/www/plugins/system/jbtype/jbtype.php on line 23

Dans google, j'ai trouvé peu d'info concernant ce sujet.
Dans la base de données, je n'ai pas trouvé de table correspondant à jbtype.
Qui peux m'aider? à l'aide, s'il vous plaît!!
Mon hébergeur est ovh en mutalisé et j'utilise safari
Merci d'avance

Rafael
Dernière édition: il y a 2 ans 8 mois par ravalderr.
Le sujet a été verrouillé.
Plus d'informations
il y a 2 ans 8 mois #11121 par mihaly
Réponse de mihaly sur le sujet Site HS après mise a jour joomla 2.5
Hello,
Quelle version de JCE avais-tu avant de faire la mise à jour ? Était-ce une toute ancienne ?
jbtype est le système qui te permet d'ajouter des styles visuels grâce à une liste déroulante dispo dans la barre d'outils de l'éditeur JCE, il se compose d'un plugin pour Joomla et d'un plugin pour JCE. Sans doute que celui que tu utilises pour JCE n'est plus compatible, il te faut tester avec les dernières versions dispos sur le site de l'auteur: www.joomlabamboo.com/joomla-extensions/jb-type-joomla-typography-plugin
En attendant, pour récupérer ton site, tu dois :
  • afficher la base de données de ton site
  • repérer la table (#__extensions) puis la ligne correspondante à JB Type, le nom dans la 1ère colonne (name) est normalement "System - JB Type"
  • repérer la colonne nommée "enabled" et mettre sur "0" pour désactiver le plugin système JB Type, apparemment c'est lui qui crée l'erreur affichée.
Il se peut toutefois que cela ne suffise pas car il y a également le plugin pour JCE.
Dans ce cas, il te faut :
  • afficher la base de données de ton site
  • repérer la table des profils JCE (#__wf_profiles) pour trouver la ligne qui correspond à celui que tu utilises (en général "Default" ou "Administration"
  • supprimer jbtype dans la liste des éléments des colonnes "rows" et "plugins", cela ne désinstalleras pas le plugin mais le supprimera simplement de ton profil JCE
En ce qui concerne la version de ton site, je ne peux pas travailler gratuitement, mais si tu me crées un compte provisoire avec les pleins accès, je pourrai voir exactement ce que tu as d'installé sur ton site et te faire gratuitement un retour de ce qu'il y a à faire pour effectuer la migration. Ensuite, nous verrons si tu es à même de tout faire toi-même ou si tu souhaites me mandater pour les parties que tu ne maitrises pas.
Ne te fais pas de souci, si ton site n'est pas déjà une migration de Joomla 1.5 à 2.5, le passage à 3.x devrait être simple, en général pour un site simple une migration de 2.5 à 3.x me prend une demi-journée maximum.

Mihàly Marti alias Sarki
Les utilisateur(s) suivant ont remercié: ravalderr
Le sujet a été verrouillé.
Temps de génération de la page : 0.127 secondes
Propulsé par Kunena

Rechercher